URL structure
{approvalId} is an application’s approval ID.
Supported methods and overview
DELETE- revokes the access that a third party (i.e. non-Cocoon Data) client application (specified byapprovalId) has to resources on the Cocoon Data Platform, which are accessible to a Cocoon Data user (whose access token is submitted in the request to this endpoint).
This method takes no parameters.
Detailed description
This API endpoint revokes the access that a third party (i.e. non-Cocoon Data) client application (specified byapprovalId) has to resources on the Cocoon Data Platform, which are accessible to a Cocoon Data user (whose access token is submitted in the request to this endpoint).
An application’s approval ID is obtained using the <access-service>/api/v1/users/me/applications/approvals API endpoint, which retrieves a list of information about all client applications that this user (whose access token is submitted in the request to this endpoint) has approved access to their resources on the Cocoon Data Platform.
Such a client application could be one that you or your organisation is developing, where this application integrates with Cocoon Data technologies either using the Cocoon Data API.
Before any client application can be granted access to a Cocoon Data user’s resources, a SafeShare administrator must first have registered the client application on their Cocoon Data Platform instance.
Supported roles and conditions
This API endpoint supports requests utilising Cocoon Data user accounts with the following roles (as described in the SafeShare Administrator’s and Organisation Administrator’s Guides):- Originator, Collaborator, Ad hoc, SafeShare administrator and Organisation administrator - when this user has approved the client application (specified by
{approvalId}in the request’s URL) access to their resources on the Cocoon Data Platform.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
